Customer log id
Example:10000
Gets specific Customer Logs by unique id
Customer log id
Example:10000
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Returns found Customer
Identifier
Customer Identifier
Customer Number
Master Customer Identifier
Created On
Loyalty Points Balance
Price group model
Notes
Searches Customers by parameters
Created since
Modified since
Order by.
Available field name values: id, customer_number, first_name, last_name, full_name, company, date_of_birth, date_of_birth_withheld, customer_type_name,
mobile, phone, email, acn, fax, website, account_customer_enabled, account_customer_payment_terms, account_customer_credit_blocked, account_customer_credit_limit,
billing_address_line1, billing_address_line2, billing_address_suburb, billing_address_state, billing_address_postcode, billing_address_country,
delivery_first_name, delivery_last_name, delivery_company, delivery_address_line1, delivery_address_line2, delivery_suburb, delivery_state, delivery_postcode, delivery_country, delivery_phone, delivery_mobile,
loyalty_program_enabled, loyalty_points_available, loyalty_points_available_value, loyalty_points_redeemed, loyalty_points_to_date,
receive_email, receive_post, receive_sms, price_group_standard, price_group_fixed, home_outlet_name, custom_reference, created_on, modified_on,
export_to_web, sales_channel:id, survey:id
Available direction values: id asc, customer_number desc.
Example: id asc, supplier desc
Filter by.
Available field name values: id, customer_number, first_name, last_name, full_name, company, date_of_birth, date_of_birth_withheld, customer_type_name,
mobile, phone, email, acn, fax, website, account_customer_enabled, account_customer_payment_terms, account_customer_credit_blocked, account_customer_credit_limit,
billing_address_line1, billing_address_line2, billing_address_suburb, billing_address_state, billing_address_postcode, billing_address_country,
delivery_first_name, delivery_last_name, delivery_company, delivery_address_line1, delivery_address_line2, delivery_suburb, delivery_state, delivery_postcode, delivery_country, delivery_phone, delivery_mobile,
loyalty_program_enabled, loyalty_points_available, loyalty_points_available_value, loyalty_points_redeemed, loyalty_points_to_date,
receive_email, receive_post, receive_sms, price_group_standard, price_group_fixed, home_outlet_name, custom_reference, created_on, modified_on,
export_to_web, sales_channel:id, survey:id
In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’
For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character
Available operators:
eq - Equal
neq - Not equals
lt - Less
lte - Less or equal
gt - Greater
gte - Greater or equal
in - In
notin - Not In
contains - Contains
isnull - Is Null
isnullorempty - Is Null Or Empty
isnotnull - Is Not Null
startswith - Starts with
endswith - Ends with
doesnotcontain - Does not contain
For non-nullable fields operators isnull and isnotnull are unavailable
For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable
For strings operators: lt, lte, gt, gte are unavailable
Example: id:eq:303062, sales_channel:3039:eq:true
>= 1<= 100000
>= 1<= 2147483647
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Returns Customers
Customer model
Sample request:
POST /customers
{
"first_name": "FirstNameUser",
"last_name": "LastNameUser",
"company": "company",
"abn": "abn",
"phone": "+321",
"fax": "fax",
"mobile": "+123",
"email": "email@lel.org",
"website": "website.org",
"custom_reference": "customReference",
"export_to_web": true,
"customer_type": {
"name": "type1",
"id": 5
},
"home_outlet": {
"id": 1,
"name": "name"
},
"date_of_birth": "1999-04-30",
"date_of_birth_withheld": false,
"marketing":{
"receive_email": true,
"receive_post": true,
"receive_sms": true
},
"price_groups": [
{
"id": 1,
"name": "name1",
"type": "Standard"
},
{
"id": 5,
"name": "name2",
"type": "Fixed"
}],
"billing_address": {
"address_line1": "address_line1",
"address_line2": "address_line2",
"suburb": "suburb",
"state": "state",
"postcode": "postcode",
"country": "country"
},
"loyalty_program": {
"enabled": false,
"auto_price_group": false
},
"account_customer": {
"enabled": false,
"payment_terms": 0,
"credit_limit": 0,
"credit_blocked": false,
"credit_remaining": 10
},
"survey_responses": [{
"id": 1,
"question": "question1",
"answer": "answer"
}],
"sales_channels": [{
"id": 1
},
{
"id": 2
}]
}
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Customer created
Customer model
Account customer view model
Acn
Billing address model
Company
Customer number
Customer type model
Date of birth
Date of birth with held
Delivery Address model
Fax
First name
Identifier
Last name
Loyalty program model
Marketing view model
Mobile
Phone
Price group model
Survey Response model
Website
Custom reference
Export to web
Total Payments
Total Transactions
CustomerSalesChannel Model
Created on
Modified on
Gets specific Customer by unique id
Customer id
Example:10000
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Returns found Customer
Customer model
Account customer view model
Acn
Billing address model
Company
Customer number
Customer type model
Date of birth
Date of birth with held
Delivery Address model
Fax
First name
Identifier
Last name
Loyalty program model
Marketing view model
Mobile
Phone
Price group model
Survey Response model
Website
Custom reference
Export to web
Total Payments
Total Transactions
CustomerSalesChannel Model
Created on
Modified on